
CN REST - Task #7237

Story # 7101 (Closed): Add diagnostic support functions on CNs to assist with MN test and deployment

Implement CNDiagnostic.echoCredentials

2015-06-26 16:59 - Ben Leinfelder

Status: Closed Start date: 2015-06-26

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

Diagnostic method for verifying credentials when calling an API method.

History

#1 - 2015-06-26 20:31 - Ben Leinfelder

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

I'd previously added this as "whoami" - just had to rename the method and endpoint dispatching.

#2 - 2015-06-29 17:46 - Ben Leinfelder

- Estimated time set to 0.00

Tested with auth token and with certificate. In cases where the identity is not registered with DataONE, the SubjectInfo returned is minimal, and the

person details have "Unknown" as first and last name to comply with the type schema.
